ffd055
From 6616132de5ec2991e0b55eca6e9d12e50f7be293 Mon Sep 17 00:00:00 2001
ffd055
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
ffd055
Date: Fri, 8 Nov 2019 10:53:41 +0700
ffd055
Subject: [PATCH] multipath: require kpartx binary
ffd055
ffd055
multipath requires kpartx to activate device mapper.
ffd055
But kpartx is only a recommend dependency.
ffd055
ffd055
Check for kpartx's existent first.
ffd055
ffd055
Signed-off-by: Doan Tran Cong Danh <congdanhqx@gmail.com>
ffd055
(cherry picked from commit cf31ed2ae687d9898cafc11ec6e4f478e806ad38)
ffd055
ffd055
Resolves: #1888779
ffd055
---
ffd055
 modules.d/90multipath/module-setup.sh | 1 +
ffd055
 1 file changed, 1 insertion(+)
ffd055
ffd055
diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
ffd055
index f825c00c..2b9a3166 100755
ffd055
--- a/modules.d/90multipath/module-setup.sh
ffd055
+++ b/modules.d/90multipath/module-setup.sh
ffd055
@@ -29,6 +29,7 @@ check() {
ffd055
 
ffd055
     # if there's no multipath binary, no go.
ffd055
     require_binaries multipath || return 1
ffd055
+    require_binaries kpartx || return 1
ffd055
 
ffd055
     return 0
ffd055
 }
ffd055